#!/bin/sh
# Pt-web/src/app-root/scripts/PortDiag/enactLevel.sh
# 
#  Copyright 2016 Guralp Systems Limited.
#  Author: Robert Dunlop <rdunlop@guralp.com>
#

logger -t "enactLevel.sh" "Starting up"

PORT_NAME="$1"
BAUD="$2"

CFFILE="/etc/conf.d/serial/${PORT_NAME}.cf"

svc "${PORT_NAME}" stop

logger -t "enactLevel.sh" "Modifying ${CFFILE}"

set -e

logger -t "enactLevel.sh" "Setting baud to ${BAUD}"
gcs_rwvar gcs_set_varcf "baud" "${CFFILE}" "${BAUD}"
logger -t "enactLevel.sh" "Setting function"
gcs_rwvar gcs_set_varcf "function" "${CFFILE}" "None"
logger -t "enactLevel.sh" "Starting port service (${PORT_NAME})"
svc "${PORT_NAME}" start

# Now try to update the sensor control file.
case "${PORT_NAME}" in
SenBPort)	SEN_NAME="sensorA" ;;
*)		echo "Dont know how to assign ${PORT_NAME} to a sensor ?"
		exit 1
		;;
esac

CFFILE="/etc/das-in/${SEN_NAME}.local"

logger -t "enactLevel.sh" "Setting sensor control parameters"
gcs_rwvar gcs_set_varcf "lev_type" "${CFFILE}" "autonomous"
# usb1 is the first/default OBS config
gcs_rwvar gcs_set_varcf "lev_power" "${CFFILE}" "usb1"
gcs_rwvar gcs_set_varcf "lev_serial" "${CFFILE}" "${PORT_NAME}"

logger -t "enact3TuSoH.sh" "Done"
